// MenuHandler.h : Declaration of the CMenuHandler

#ifndef __MENUHANDLER_H_
#define __MENUHANDLER_H_

#include "resource.h"       // main symbols

/////////////////////////////////////////////////////////////////////////////
// CMenuHandler
class ATL_NO_VTABLE CMenuHandler : 
	public CComObjectRootEx<CComSingleThreadModel>,
	public CComCoClass<CMenuHandler, &CLSID_MenuHandler>,
	public ISupportErrorInfo,
	public IDispatchImpl<IMenuHandler, &IID_IMenuHandler, &LIBID_PPCMENUBUTTONLib>
{
public:
	CMenuHandler();
	

DECLARE_REGISTRY_RESOURCEID(IDR_MENUHANDLER)

DECLARE_PROTECT_FINAL_CONSTRUCT()

BEGIN_COM_MAP(CMenuHandler)
	COM_INTERFACE_ENTRY(IMenuHandler)
	COM_INTERFACE_ENTRY(IDispatch)
	COM_INTERFACE_ENTRY(ISupportErrorInfo)
END_COM_MAP()

// ISupportsErrorInfo
	STDMETHOD(InterfaceSupportsErrorInfo)(REFIID riid);
	STDMETHOD(FinalConstruct)();
// IMenuHandler
public:
};

#endif //__MENUHANDLER_H_
